#include <bits/stdc++.h>
#include "locmin.h"

using namespace std;
typedef pair<int, int> pii;
typedef long long ll;

pii find_locmin_point(int n, int m) {
    int st = 1, dr = m;
    while(st < dr) {
        int p1 = st + (dr - st) / 3, p2 = st + (dr - st) / 3 * 2;
        ll a = value(1, p1), b = value(1, p2);
        if(a <= b) 
            dr = p2;
        else
            st = p1;
    }

    return {1, st};
}

#ifndef EVAL
int main() {
    return 0;
}
#endif